// ProjectLocalHome.java

package hr;

import javax.ejb.*;
import java.rmi.*;
import java.util.*;

public interface ProjectLocalHome extends EJBLocalHome
{
    public ProjectLocal create(Project project)
        throws CreateException;

    public ProjectLocal findByPrimaryKey(Integer projectNo)
        throws FinderException;

    public Collection findByProjectName(String projectName)
        throws FinderException;

    public Collection findAll()
        throws FinderException;

}
